#include <bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int N, M;
    cin >> N >> M;
    int br = 2 * (N + M) - 4 + (M - 2) * (N - 2) / 2;
    cout << br << endl;

}